# Funds Funds ## Gets all of the funds in the system. - [GET /funds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/listfunds.md): This method will scan all funds and and return them to the caller. ## Creates a new fund record that does not already exist. - [POST /funds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/createfund.md): This method will auto-generate an ID and create a new fund. If an ID is specified for the fund, an error will be thrown. ## Execute Batch Operations - [POST /funds/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a fund from the system by its ID. - [DELETE /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/deletefund.md): This method will delete a fund with the specified ID. ## Returns a fund from the system by its ID. - [GET /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/getfund.md): This method will look up a fund by the specified ID and return it back. ## Partially updates a fund with the specified ID. - [PATCH /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/patchfund.md): This method will patch an existing fund with the specified ID, using the HTTP PATCH specification. ## Updates a fund with the specified ID. - [PUT /funds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/funds/updatefund.md): This method will update an existing fund with the specified ID.